Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
proofs::mdoc_1f_witness< EC, Field, ScalarField > Class Template Reference
Collaboration diagram for proofs::mdoc_1f_witness< EC, Field, ScalarField >:
[legend]

## Public Member Functions
| mdoc_1f_witness (size_t num_attr, const EC &ec, const ScalarField &Fn)
void | fill_sha (DenseFiller< Field > &filler, const FlatSHA256Witness::BlockWitness &bw) const
void | fill_attr_shift (DenseFiller< Field > &df, const AttrShift &attr) const
void | fill_cbor_index (DenseFiller< Field > &filler, const CborIndex &ind, size_t padding_offset=0) const
void | fill_witness (DenseFiller< Field > &filler, bool small=false) const
bool | compute_witness (Elt pkX, Elt pkY, const uint8_t mdoc[], size_t len, const uint8_t transcript[], size_t tlen, const uint8_t tnow[], const RequestedAttribute attrs[], size_t attrs_len)

## Data Fields
const EC | ec_
Elt | e_
Elt | e2_
Elt | dpkx_
Elt | dpky_
EcdsaWitness | ew_
EcdsaWitness | dkw_
uint8_t | now_ [kMdoc1DateLen]
FlatSHA256Witness::BlockWitness | bw_ [kMdoc1MaxSHABlocks]
uint8_t | signed_bytes_ [kMdoc1MaxSHABlocks *64]
uint8_t | numb_
ParsedMdoc | pm_
size_t | num_attr_
std::vector< std::vector< uint8_t > > | attr_bytes_
std::vector< std::vector< FlatSHA256Witness::BlockWitness > > | atw_
std::vector< uint8_t > | attr_n_
std::vector< CborIndex > | attr_mso_
std::vector< AttrShift > | attr_ei_
std::vector< AttrShift > | attr_ev_
std::vector< typename CborWitness::v8 > | incb_
std::vector< typename CborWitness::position_witness > | pwcb_
CborWitness::global_witness | gwcb_

The documentation for this class was generated from the following file:

- lib/circuits/mdoc/mdoc_1f_witness.h